Edushade Docs
Quizzes

A: Create quiz

POST
/admin/quizzes
AuthorizationBearer <token>

In: header

allow_backtrackboolean
Defaulttrue
allow_pauseboolean
Defaulttrue
allow_reviewboolean
Defaulttrue
allow_skipboolean
Defaultfalse
available_fromstring
Default"2024-12-25T00:00:00Z"
available_untilstring
Default"2024-12-31T23:59:59Z"
certificate_enabledboolean
Defaulttrue
completion_messagestring
Default"Congratulations! You have completed the Machine Learning quiz. Your results will be available shortly."
config_dataobject
cooldown_period_hoursinteger
Default24
descriptionstring
Default"A comprehensive quiz covering the fundamentals of machine learning concepts"
detect_tab_switchingboolean
Defaulttrue
difficulty_levelstring
Default"intermediate"
disable_copy_pasteboolean
Defaulttrue
full_screen_modeboolean
Defaultfalse
grace_period_minutesinteger
Default5
instructionsstring
Default"Please read each question carefully and select the best answer. You have 60 minutes to complete this quiz."
max_attemptsinteger
Default3
max_participantsinteger
Default100
passing_scoreinteger
Default70
passwordstring
Default""
password_protectedboolean
Defaultfalse
questions_per_pageinteger
Default5
quiz_typestring
Default"graded"
randomize_question_orderboolean
Defaulttrue
require_all_questionsboolean
Defaulttrue
require_screen_recordingboolean
Defaultfalse
require_webcamboolean
Defaultfalse
retake_policystring
Default"after_cooldown"
show_answer_afterboolean
Defaulttrue
show_correct_answersboolean
Defaulttrue
show_explanationboolean
Defaulttrue
show_progress_barboolean
Defaulttrue
show_question_numbersboolean
Defaulttrue
show_results_immediatelyboolean
Defaultfalse
show_score_breakdownboolean
Defaulttrue
shuffle_optionsboolean
Defaulttrue
shuffle_questionsboolean
Defaulttrue
thumbnailstring
Default"https://example.com/quiz-thumbnail.jpg"
Formaturi
time_limitinteger
Default60
titlestring
Default"Introduction to Machine Learning Quiz"
warning_time_minutesinteger
Default10

Response Body

curl -X POST "https://edushade.com/api/v1/admin/quizzes" \
  -H "Content-Type: application/json" \
  -d '{
    "allow_backtrack": true,
    "allow_pause": true,
    "allow_review": true,
    "allow_skip": false,
    "available_from": "2024-12-25T00:00:00Z",
    "available_until": "2024-12-31T23:59:59Z",
    "certificate_enabled": true,
    "completion_message": "Congratulations! You have completed the Machine Learning quiz. Your results will be available shortly.",
    "config_data": {
      "accessibility_mode": false,
      "font_size": "medium",
      "theme": "default"
    },
    "cooldown_period_hours": 24,
    "description": "A comprehensive quiz covering the fundamentals of machine learning concepts",
    "detect_tab_switching": true,
    "difficulty_level": "intermediate",
    "disable_copy_paste": true,
    "full_screen_mode": false,
    "grace_period_minutes": 5,
    "instructions": "Please read each question carefully and select the best answer. You have 60 minutes to complete this quiz.",
    "max_attempts": 3,
    "max_participants": 100,
    "passing_score": 70,
    "password": "",
    "password_protected": false,
    "questions_per_page": 5,
    "quiz_type": "graded",
    "randomize_question_order": true,
    "require_all_questions": true,
    "require_screen_recording": false,
    "require_webcam": false,
    "retake_policy": "after_cooldown",
    "show_answer_after": true,
    "show_correct_answers": true,
    "show_explanation": true,
    "show_progress_bar": true,
    "show_question_numbers": true,
    "show_results_immediately": false,
    "show_score_breakdown": true,
    "shuffle_options": true,
    "shuffle_questions": true,
    "thumbnail": "https://example.com/quiz-thumbnail.jpg",
    "time_limit": 60,
    "title": "Introduction to Machine Learning Quiz",
    "warning_time_minutes": 10
  }'
{}
Empty
Empty
Empty